Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Web Tools Project (WTP) » error in a ejb project(ejb error)
error in a ejb project [message #997303] Sat, 05 January 2013 12:54 Go to next message
dishant Anand is currently offline dishant Anand
Messages: 2
Registered: January 2013
Junior Member
i m using jboss 4.2.3 and eclipse 3.7 indigo

while building the EJB project i gave the ejb version 2.1 instead of version 3.0

it gave me an error that your project should have atlest one enterprise mean...can anybody tell me what exactly the problem is ? is it with server?

thanks
Dishant
Re: error in a ejb project [message #997487 is a reply to message #997303] Mon, 07 January 2013 18:36 Go to previous messageGo to next message
Roberto Sanchez Herrera is currently offline Roberto Sanchez Herrera
Messages: 30
Registered: January 2011
Member
Hello Dishant,
Did you just created the ejb project? if the message you see is this: "An EJB module must contain one or more enterprise beans", then this is working as designed, and this message should go away once you add an EJB to the ejb-jar-xml deployment descriptor.

Hope this helps.
Re: error in a ejb project [message #997537 is a reply to message #997487] Tue, 08 January 2013 08:18 Go to previous message
dishant Anand is currently offline dishant Anand
Messages: 2
Registered: January 2013
Junior Member
i created a ejb as well , and i am not sure if this is due to jboss when i switch to ejb 3.0 it's work just fine ,


thanks for ur reply
Dishant
Previous Topic:Project importing existing web app into Eclipse
Next Topic:Adding Preemptive Basic Auth to Web Service Client
Goto Forum:
  


Current Time: Wed Oct 22 22:29:58 GMT 2014

Powered by FUDForum. Page generated in 0.13210 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software